// Импорт сторонних библиотек.
import * as dotenv from 'dotenv'
import { Telegraf } from 'telegraf'

// Главная функция приложения (Точка входа).
const main = () => {
	try {
		// Инициализируем библиотеку для переменных окружения
		// Что бы мы могли их читать из файла .env
		dotenv.config()

		// Токен.
		const token = process.env.TELEGRAM_TOKEN
		if (!token) throw new Error('Токен не найден!')

		// Создание экземпляра бота
		const bot = new Telegraf(token)

		// Обработчик команды /start
		bot.start(async ctx => {
			await ctx.reply('Привет!')
		})

		// Запуск бота
		bot.launch()
	} catch (e) {
		// Обработка ошибок.
		console.log('Ошибка:', e)
	}
}

// Старт приложения.
main()
